#!/bin/bash

source ./cappello_batch.sh

source ./.env.production

msg="*** IN PRODUZIONE !!!!!   SEI SICURO DI INVIARE GLI AGGIORNAMENTI SUL SERVER DI PRODUZIONE ?? $SERVERDIR_WEBSITE  (Y/N) ? "

if [ "$1" = "" ]; then
  read -p "$msg" risposta
else
  echo $msg
  risposta=$1
fi


if [[ $risposta == "Y" || $risposta == "y" ]]; then

  npm run buildpwa

  echo "Sincronizzazione in remoto..."

  echo "Sincronizzazione in remoto $SERVERDIR_WEBSITE ..."
  sshpass -p $SERVERPW_WEBSITE rsync -e 'ssh -p 8855' -a --exclude 'upload' dist/pwa/ suryapaolo@servereng:$SERVERDIR_WEBSITE/
  #rsync -e 'ssh -p 8855' -av --delete dist/pwa/js/ suryapaolo@servereng:$SERVERDIR_WEBSITE/js
  rsync -e 'ssh -p 8855' -a dist/pwa/js/ suryapaolo@servereng:$SERVERDIR_WEBSITE/js
  echo "Finito $SERVERDIR_WEBSITE "

fi
